%dj - массив, состоящий из столбца дат и столбца значений 
% min_d - начало отсчета
% max_d - конец отсчета

function [dataw] = dwvar_norm_wave(dj,min_d,max_d )
%UNTITLED1 Summary of this function goes here
%  Detailed explanation goes here
data=dj(min_d:max_d,2);


win=100;
[wr,wc]=size(data);

zz1(1:1000)=data(1);
zz1=zz1';
zz2(1:1000)=data(wr);
zz2=zz2';
zz=[zz1;data;zz2];
coefs = cwt(zz,1:256,'gaus8');
coefs=coefs(:,1001:(1000+wr));
dataw.ss=wvar_norm_wave(coefs,win,2);
dataw.ss2=data;
dataw.ss3=coefs;
dataw.ss1=wvar_norm_wave(coefs,win,3);
dataw.ss4=wvar_norm_wave(coefs,win,4);
dataw.ss5=wvar_norm_wave(coefs,win,5);
dataw.ss6=dj(min_d:max_d,1);
dataw.ss7=win;


